Hive
  1. Hive
  2. HIVE-5427

TestMetastoreVersion.testVersionRestriction fails on hive 0.12

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Blocker Blocker
    • Resolution: Duplicate
    • Affects Version/s: 0.12.0
    • Fix Version/s: 0.12.0
    • Component/s: Metastore
    • Labels:
      None

      Description

      TestMetastoreVersion.testVersionRestriction failed on hive 0.12 . See https://builds.apache.org/job/Hive-branch-0.12-hadoop1/lastCompletedBuild/testReport/org.apache.hadoop.hive.metastore/TestMetastoreVersion/testVersionRestriction/

      It also failed in a test run on another machine I ran tests on.

      The error -
      FAILED: Execution Error, return code 1 from org.apache.hadoop.hive.ql.exec.DDLTask. MetaException(message:Hive Schema version 0.12.0 does not match metastore's schema version fooVersion Metastore is not upgraded or corrupt)

      It looks like the fooVersion set by one test is getting used by this failing test.

        Issue Links

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              Thejas M Nair
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development